bin_PROGRAMS = kvpnc

kvpnc_SOURCES = addnetworkroutedialog.cpp addnetworkroutedialogbase.ui \
	ciscocertificateenrollment.cpp ciscocertificateenrollmentbase.ui \
	ciscocertificateenrollmentdatadialog.cpp ciscocertificateenrollmentdatadialogbase.ui \
	ciscocertificateenrollmentfinishwidgetbase.ui ciscopasswddecoder.cpp configconnectoptions.cpp \
	configconnectoptionsbase.ui configdaemonoptions.cpp configdaemonoptionsbase.ui \
	configdebugoptions.cpp configdebugoptionsbase.ui configgeneraloptions.ui \
	confighelperprogramoptions.cpp confighelperprogramoptionsbase.ui configlogoptions.cpp \
	configlogoptionsbase.ui debugoutputtextedit.cpp displaycertdialog.cpp displaycertdialogbase.ui \
	enterpassworddialog.cpp enterpassworddialogbase.ui enterxauthinteractivepasscodedialog.cpp \
	enterxauthinteractivepasscodedialogbase.ui generateopenvpnkeydialog.cpp generateopenvpnkeydialogbase.ui \
	helpdialog.cpp helpdialogbase.ui importcertificatedialog.cpp \
	importcertificatedialogbase.ui importipsecprofiledialog.cpp importopenvpnprofiledialog.cpp \
	importopenvpnprofiledialogbase.ui importprofiledialog.cpp importprofiledialogbase.ui kfeedback.cpp \
	kfeedback.h kvpnc.cpp kvpnc.skel kvpncconfig.cpp \
	kvpncimportprofileselectiondialog.cpp kvpncimportprofileselectiondialogbase.ui kvpnckicker.cpp \
	listviewtooltip.cpp logviewerdialog.cpp logviewerdialogbase.ui main.cpp mainview.cpp \
	mainviewbase.ui manageciscocert.cpp manageciscocertbase.ui networkinterface.cpp \
	newprofiledialog.cpp newprofiledialogbase.ui newprofilewizard.cpp newprofilewizard.h \
	newprofilewizardauthselection.ui newprofilewizardcert.ui newprofilewizardciscomanually.ui \
	newprofilewizardciscoselection.ui newprofilewizardconnectionstatuscheck.ui \
	newprofilewizardconnectoptions.ui newprofilewizardfreeswan.ui newprofilewizardgeneral.ui \
	newprofilewizardnat.ui newprofilewizardnetwork.ui newprofilewizardnetworkroute.ui \
	newprofilewizardopenvpn.ui newprofilewizardopenvpnauth.ui newprofilewizardopenvpnselection.ui \
	newprofilewizardp12certselection.ui newprofilewizardpptp.ui newprofilewizardpsk.ui \
	newprofilewizardracoon.ui newprofilewizardstart.ui newprofilewizardtypeselection.ui \
	newprofilewizarduser.ui openvpnmanagementhandler.cpp openvpnmanagementhandler.h \
	preferencesdialog.cpp profilecertoptions.cpp profilecertoptionsbase.ui \
	profileciscooptions.cpp profileciscooptionsbase.ui profilecmdexecafterconnectoptions.cpp \
	profilecmdexecafterconnectoptionsbase.ui profilecmdexecafterdisconnectoptions.cpp \
	profilecmdexecafterdisconnectoptionsbase.ui profilecmdexecbeforeconnectoptions.cpp \
	profilecmdexecbeforeconnectoptionsbase.ui profilecmdexecbeforedisconnectoptions.cpp \
	profilecmdexecbeforedisconnectoptionsbase.ui profilegeneraloptions.cpp profilegeneraloptionsbase.ui \
	profileipsecoptions.cpp profileipsecoptionsbase.ui profilenetworkgeneraloptions.cpp \
	profilenetworkgeneraloptions.h profilenetworkgeneraloptionsbase.ui profilenetworkhttpproxyoptions.cpp \
	profilenetworkhttpproxyoptionsbase.ui profilenetworknatoptions.cpp profilenetworknatoptions.h \
	profilenetworknatoptionsbase.ui profilenetworkrouteoptions.cpp profilenetworkrouteoptionsbase.ui \
	profilenetworkvirtualipoptions.cpp profilenetworkvirtualipoptionsbase.ui profileopenvpnoptions.cpp \
	profileopenvpnoptionsbase.ui profilepptpoptions.cpp profilepptpoptionsbase.ui profilepskoptions.cpp \
	profilepskoptionsbase.ui profileracoonoptions.cpp profileracoonoptionsbase.ui \
	profilesmartcardoptions.cpp profilesmartcardoptionsbase.ui profilesshoptions.cpp \
	profilesshoptionsbase.ui profileuseroptions.cpp profileuseroptionsbase.ui profilevtunoptions.cpp \
	profilevtunoptionsbase.ui toolinfo.cpp toolsinfodialog.cpp toolsinfowidgetbase.ui utils.cpp \
	vpnaccountdata.cpp vpntypesinfodialog.cpp widgetnotifyhelper.cpp


kvpnc_METASOURCES = AUTO

#CXXFLAGS =  $(libgcrypt-config --libs --cflags)

kvpnc_LDADD   = $(LIB_KFILE) $(LIB_TDEUI) $(LIB_TDECORE) $(LIB_QT) $(LIBSOCKET) -lgcrypt -lkwalletclient -lDCOP



EXTRA_DIST = main.cpp kvpnc.cpp kvpnc.h kvpnc.desktop preferencesdialog.cpp kvpncui.rc kvpnckicker.cpp kvpnckicker.h eventsrc klpreferencesdlg.h


install-data-local:
	$(mkinstalldirs) $(kde_appsdir)/
	$(INSTALL_DATA) $(srcdir)/kvpnc.desktop $(kde_appsdir)/kvpnc.desktop
	$(mkinstalldirs) $(kde_datadir)/kvpnc/
	$(INSTALL_DATA) $(srcdir)/kvpncui.rc $(kde_datadir)/kvpnc/kvpncui.rc
	$(mkinstalldirs) $(kde_datadir)/kvpnc/
	$(INSTALL_DATA) $(srcdir)/eventsrc $(kde_datadir)/kvpnc/eventsrc
	$(INSTALL_DATA) $(srcdir)/ping_check.sh $(kde_datadir)/kvpnc/ping_check.sh
	$(INSTALL_DATA) $(srcdir)/newprofilewizard.png $(kde_datadir)/kvpnc/newprofilewizard.png
	$(INSTALL_DATA) $(srcdir)/newprofilewizard_final.png $(kde_datadir)/kvpnc/newprofilewizard_final.png
#	$(INSTALL_DATA) $(srcdir)/x-cisco.desktop $(kde_mimedir)/application/x-cisco.desktop
#	$(INSTALL_DATA) $(srcdir)/x-openvpn.desktop $(kde_mimedir)/application/x-openvpn.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kvpnc/
	$(INSTALL_DATA) $(srcdir)/pcf.protocol $(DESTDIR)$(kde_datadir)/kvpnc/pcf.protocol
	$(INSTALL_DATA) $(srcdir)/ovpn.protocol $(DESTDIR)$(kde_datadir)/kvpnc/ovpn.protocol

# this 10 paths are KDE specific. Use them:
# kde_htmldir       Where your docs should go to. (contains lang subdirs)
# kde_appsdir       Where your application file (.kdelnk) should go to.
# kde_icondir       Where your icon should go to.
# kde_minidir       Where your mini icon should go to.
# kde_datadir       Where you install application data. (Use a subdir)
# kde_locale        Where translation files should go to.(contains lang subdirs)
# kde_cgidir        Where cgi-bin executables should go to.
# kde_confdir       Where config files should go to.
# kde_mimedir       Where mimetypes should go to.
# kde_toolbardir    Where general toolbar icons should go to.
# kde_wallpaperdir  Where general wallpapers should go to.

# set the include path for X, qt and KDE
INCLUDES= $(all_includes)

METASOURCES = AUTO


SUBDIRS = icons

# the library search path.
kvpnc_LDFLAGS = $(all_libraries) $(KDE_RPATH) 

# Uncomment the following two lines if you add a ui.rc file for your application to make use of
# KDE
rcdir = $(kde_datadir)/kvpnc


#WARNING: if you use a ui.rc file above, use:

# messages: rc.cpp

# instead of

# messages:

messages: rc.cpp
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
	if test -n "$$LIST"; then \
		$(XGETTEXT) -C -ki18n $$LIST -o ../po/kvpnc.pot; \
	fi

noinst_HEADERS = addnetworkroutedialog.h addnetworkroutedialogbase.h \
	ciscocertificateenrollment.h ciscocertificateenrollmentdatadialog.h configconnectoptionsbase.h \
	configdaemonoptions.h configdaemonoptionsbase.h configdebugoptions.h configdebugoptionsbase.h \
	confighelperprogramoptions.h confighelperprogramoptionsbase.h configlogoptions.h \
	configlogoptionsbase.h debugoutputtextedit.h displaycertdialog.h enterpassworddialog.h \
	enterpassworddialogbase.h enterxauthinteractivepasscodedialogbase.h generateopenvpnkeydialog.h \
	generateopenvpnkeydialogbase.h helpdialogbase.h importcertificatedialog.h \
	importcertificatedialogbase.h importipsecprofiledialog.h importopenvpnprofiledialog.h \
	importopenvpnprofiledialogbase.h importprofiledialogbase.h kvpncconfig.h \
	kvpncimportprofileselectiondialog.h kvpncimportprofileselectiondialogbase.h listviewtooltip.h \
	logviewerdialog.h logviewerdialogbase.h mainview.h mainviewbase.h manageciscocert.h \
	networkinterface.h newprofiledialog.h newprofiledialogbase.h newprofilewizard.h \
	openvpnmanagementhandler.h preferencesdialog.h profilecertoptions.h profilecertoptionsbase.h \
	profileciscooptionsbase.h profilecmdexecafterconnectoptions.h \
	profilecmdexecafterconnectoptionsbase.h profilecmdexecafterdisconnectoptions.h \
	profilecmdexecafterdisconnectoptionsbase.h profilecmdexecbeforeconnectoptions.h \
	profilecmdexecbeforeconnectoptionsbase.h profilecmdexecbeforedisconnectoptions.h \
	profilecmdexecbeforedisconnectoptionsbase.h profilegeneraloptions.h profilegeneraloptionsbase.h \
	profileipsecoptions.h profileipsecoptionsbase.h profilenetworkgeneraloptions.h \
	profilenetworkgeneraloptionsbase.h profilenetworkhttpproxyoptions.h profilenetworknatoptions.h \
	profilenetworknatoptionsbase.h profilenetworkrouteoptions.h profilenetworkrouteoptionsbase.h \
	profilenetworkvirtualipoptions.h profilenetworkvirtualipoptionsbase.h profileopenvpnoptions.h \
	profileopenvpnoptionsbase.h profilepptpoptions.h profilepptpoptionsbase.h profilepskoptions.h \
	profilepskoptionsbase.h profileracoonoptions.h profileracoonoptionsbase.h \
	profilesmartcardoptions.h profilesshoptions.h profilesshoptionsbase.h profileuseroptions.h \
	profileuseroptionsbase.h profilevtunoptions.h toolinfo.h toolsinfodialog.h toolsinfowidgetbase.h \
	utils.h vpnaccountdata.h vpntypesinfodialog.h widgetnotifyhelper.h



